import { Component, OnInit } from '@angular/core';
import { ApiService } from '../../service/api.service';

@Component({
  selector: 'app-page-four',
  templateUrl: './page-four.component.html',
  styleUrls: ['./page-four.component.scss'],
})
export class PageFourComponent implements OnInit {

  req: any = {};
  constructor(private api: ApiService) { }

  ngOnInit() {}

  getSelfInfo() {
    const req = {
      userName: this.req.name,
      password: this.req.ps
    };
    this.api.user.getSelfInfo([req, (data) => {
      if (data) {
        console.log(data);
      }
    }]);
  }

}
